/*------------------------------------------------------------------------- 
File name   : uart_rx_sig_map.e
Title       : uart eVC cell structure
Project     : uart eVC
Developers  : Pinhas Krengel http://bknpk.no-ip.biz/my_web/index.html
Created     : Dec 2011
Description : This file declares all of the i/o signals to DUT.
Notes       : 
--------------------------------------------------------------------------- 
==== This source file may be used and distributed without ====
==== restriction provided that this copyright statement is not ====
==== removed from the file and that any derivative work contains ====
==== the original copyright notice and the associated disclaimer.====
==== ====
==== THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY ====
==== EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED ====
==== TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS ====
==== FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL THE AUTHOR ====
==== OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, ====
==== INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES ====
==== (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE ====
==== GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR ====
==== BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF ====
==== LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT ====
==== (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT ====
==== OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE ====
==== POSSIBILITY OF SUCH DAMAGE. ====
-------------------------------------------------------------------------*/ 
<'
package pk_rx;

unit sig_map_u {
  clk_p: in simple_port of bit is instance;
  rst_p: in simple_port of bit is instance;

  keep bind(clk_p,       external);
  keep bind(rst_p,       external);

  event clk_r_ev is rise(clk_p$) @sim;

  ck_en_p: in simple_port of bit is instance;
  keep bind(ck_en_p,     external);

  full_clr_p: inout simple_port of bit is instance;
  keep bind(full_clr_p,  external);
  rx_in_p: inout simple_port of bit is instance;
  keep bind(rx_in_p,     external);

  full_p: in simple_port of bit is instance;
  keep bind(full_p,      external);
  d_out_p: in simple_port of byte is instance;
  keep bind(d_out_p,     external);

};--unit sig_map_u

'>


